Сломался pacman (GLIBC_2.34). ☆o(><;)○

indeviral
lifecd подойдёт, там вообще можно вот так:
# mount /dev/sd* /mnt
# pacstrap /mnt glibc
Выполнил действия,не помогло. Выдает ошибку : pacman : /usr/lib/libc.so.6 : Version Glibc 2.34 not found (required by pacman)
Error: Failed to install packages to new root .
I learn Linux...)))
jim945
В данном случае он не поможет. В чруте будет использоваться тот же сломаный pacman.
Нужно использовать пакман из другой системы. Из образа например.
С ключиком

-r, –root <path>

Можете расписать полностью шаги. Спасибо.
I learn Linux...)))
я даже применял команду pacman -sysroot /mnt -Suy,когда вошел с помошью livecd с монтированием раздела и с
mount -t proc proc /mnt/proc;
mount --rbind /sys /mnt/sys;
mount --rbind /dev /mnt/dev.

Выдает ошибку зеркал и ошибку 1 ключа.
Редактировал их (sudo nano /etc/pacman.d/mirrorlist) через чрут выходил из него и запускал pacman -sysroot /mnt -Suy. Такая же ошибка.

Даже через чрут дает ошибку: pacman : /usr/lib/libc.so.6 : Version Glibc 2.34 not found (required by pacman), и при команде pacman -sysroot /mnt -Suy - верно подметил пользователь jim945.
I learn Linux...)))
art896
Выдает ошибку
Кто?)) Что вы делаете?
Ошибки в тексте-неповторимый стиль автора©
indeviral
Кто?)) Что вы делаете?
Пакман

Даже это не помогло.
Description:

Pacman 6.0.1-3 generously deletes itself during update. It is hard to update pacman, when there's no pacman in system... You can't manually install it from cache, because cache is wiped along with pacman itself. Convenient.

Steps to reproduce:

> sudo pacman -Suy

Steps to fix:

1/ Remove empty /var/lib/pacman/local/pacman-6.0.1-3
2/ Download pacman-6.0.1-3-x86_64.pkg.tar.zst from web
3/ Extract just /usr directory into root of your system (filling /usr/bin, /usr/share and /usr/lib with all the necessary goods)
4/ Force install with (now working) pacman -U --overwrite "*" pacman-6.0.1-3-x86_64.pkg.tar.zst
I learn Linux...)))
Вы запускаете "lifecd" с archlinux, потом примонтируете свой корневой раздел, запускаете pacstrap и pacman ругается что на "lifecd" неверная версия glibc?)
Ошибки в тексте-неповторимый стиль автора©
indeviral
Вы запускаете "lifecd" с archlinux, потом примонтируете свой корневой раздел, запускаете pacstrap и pacman ругается что на "lifecd" неверная версия glibc?)
Да. Только не livecd archlinux, а blackarch. А так все верно. И еще libc.so.6 удалилась. Система рухнкула .... xD
I learn Linux...)))
art896
Да. Только не livecd archlinux, а blackarch. А так все верно. И еще libc.so.6 удалилась. Система рухнкула …. xD
Ничего страшного. Скачайте lifecd archlinux.
Ошибки в тексте-неповторимый стиль автора©
indeviral
art896
Да. Только не livecd archlinux, а blackarch. А так все верно. И еще libc.so.6 удалилась. Система рухнкула …. xD
Ничего страшного. Скачайте lifecd archlinux.
Решил переставить. Если что напишу сюда какие ошибки возникли при обнове. Просто уже замучила система. Горький опыт. Рухнула так рухнула. Там короче был kernel panic.
Скачал lifecd archlinux на всякий случай. Он прошлого месяца.
А что за важный такой файл libc.so.6? Что он тормозит init процесс... Видимо он относится в важной системной библиотеке.
I learn Linux...)))
art896
libc.so.6
Это файл из основнной библиотеки glibc там прописаны системные вызовы и много чего ещё.
Ошибки в тексте-неповторимый стиль автора©
 
Зарегистрироваться или войдите чтобы оставить сообщение.